Subject: Re: [PATCH] net: lan78xx: fix "enabled interrupts" warninig

From: Jisheng Zhang <[email-masked]>
Date: Tue, 9 Apr 2019 01:36:10 +0000

On Mon, 8 Apr 2019 10:46:52 +0000  wrote:

> 
> 
> > > Is this warning specific to any linux version?  
> >
> > In theory, no. I only tested 5.0, 4.20, both can reproduce this warning.
> >  
> This makes me think that code is fine because it occurs in 4.20 and greater. Or maybe the problem is masked in older. I maybe wrong in assuming that.

Per my understanding, the warning should occur since commit cc89c323a30e
("lan78xx: Use irq_domain for phy interrupt from USB Int. EP")
I just bought a Raspberry Pi 3B+ a few days ago, so I didn't have chance
to check 4.19 and before.

> 
> >
> > The warning comes from calling generic_handle_irq() in usb tasklet context.
> > This is not correct.
> >
> > Per my understanding, if there's chained irq, we could introduce extra
> > irqdomain. E.g
> >
> > GIC <--> another irqchip controller <--> HW device
> >  
> Correct, IRQ domain is generally used in chained irq controllers.
> Yes, We need to check why irq domain is used in the current driver.
> 

It's introduced in the commit cc89c323a30e

Thanks